#version 430 core
out vec4 FragColor;
  
in vec4 gColor;
in vec2 gTex;

uniform sampler2D aTexture;

void main()
{
    FragColor = texture(aTexture, gTex) * gColor;
//    FragColor = texture(aTexture, vTexCoord);
//    FragColor = gColor;
//    FragColor = vec4 (1,1,1,1);
}
